IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network48.166.0.0/15
Usable hosts131,070
Subnet mask255.254.0.0
Addresses131,072
- Network address
48.166.0.0- Broadcast address
48.167.255.255- First usable
48.166.0.1- Last usable
48.167.255.254- Usable hosts
- 131,070 (131,072 less the network and broadcast addresses)
- Subnet mask
255.254.0.0- Wildcard mask
0.1.255.255(Cisco ACLs, OSPF)- Prefix length
- /15
- Type
- Public public
- Old class
- A (default /8)
- As numbers
- Hex
30A60000· Integer816185344to816316415 - Reverse DNS zones
166.48.in-addr.arpa167.48.in-addr.arpa
/15 is not on a 8-bit boundary, so it takes 2 /16 zones.
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 00110000.10100110.00000000.00000000 | 48.166.0.0 |
| Subnet mask | 11111111.11111110.00000000.00000000 | 255.254.0.0 |
| Network | 00110000.10100110.00000000.00000000 | 48.166.0.0 |
| Broadcast | 00110000.10100111.11111111.11111111 | 48.167.255.255 |
Split into smaller subnets
/16 (2)/17 (4)/18 (8)/19 (16)/20 (32)/21 (64)/22 (128)/23 (256)/24 (512)/25 (1,024)/26 (2,048)/27 (4,096)
48.166.0.0/15 makes 256 subnets of /23.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 48.166.0.0/23 | 48.166.0.1 to 48.166.1.254 | 48.166.1.255 | 510 |
| 2 | 48.166.2.0/23 | 48.166.2.1 to 48.166.3.254 | 48.166.3.255 | 510 |
| 3 | 48.166.4.0/23 | 48.166.4.1 to 48.166.5.254 | 48.166.5.255 | 510 |
| 4 | 48.166.6.0/23 | 48.166.6.1 to 48.166.7.254 | 48.166.7.255 | 510 |
| 5 | 48.166.8.0/23 | 48.166.8.1 to 48.166.9.254 | 48.166.9.255 | 510 |
| 6 | 48.166.10.0/23 | 48.166.10.1 to 48.166.11.254 | 48.166.11.255 | 510 |
| 7 | 48.166.12.0/23 | 48.166.12.1 to 48.166.13.254 | 48.166.13.255 | 510 |
| 8 | 48.166.14.0/23 | 48.166.14.1 to 48.166.15.254 | 48.166.15.255 | 510 |
| 9 | 48.166.16.0/23 | 48.166.16.1 to 48.166.17.254 | 48.166.17.255 | 510 |
| 10 | 48.166.18.0/23 | 48.166.18.1 to 48.166.19.254 | 48.166.19.255 | 510 |
| 11 | 48.166.20.0/23 | 48.166.20.1 to 48.166.21.254 | 48.166.21.255 | 510 |
| 12 | 48.166.22.0/23 | 48.166.22.1 to 48.166.23.254 | 48.166.23.255 | 510 |
| 13 | 48.166.24.0/23 | 48.166.24.1 to 48.166.25.254 | 48.166.25.255 | 510 |
| 14 | 48.166.26.0/23 | 48.166.26.1 to 48.166.27.254 | 48.166.27.255 | 510 |
| 15 | 48.166.28.0/23 | 48.166.28.1 to 48.166.29.254 | 48.166.29.255 | 510 |
| 16 | 48.166.30.0/23 | 48.166.30.1 to 48.166.31.254 | 48.166.31.255 | 510 |
| 17 | 48.166.32.0/23 | 48.166.32.1 to 48.166.33.254 | 48.166.33.255 | 510 |
| 18 | 48.166.34.0/23 | 48.166.34.1 to 48.166.35.254 | 48.166.35.255 | 510 |
| 19 | 48.166.36.0/23 | 48.166.36.1 to 48.166.37.254 | 48.166.37.255 | 510 |
| 20 | 48.166.38.0/23 | 48.166.38.1 to 48.166.39.254 | 48.166.39.255 | 510 |
| 21 | 48.166.40.0/23 | 48.166.40.1 to 48.166.41.254 | 48.166.41.255 | 510 |
| 22 | 48.166.42.0/23 | 48.166.42.1 to 48.166.43.254 | 48.166.43.255 | 510 |
| 23 | 48.166.44.0/23 | 48.166.44.1 to 48.166.45.254 | 48.166.45.255 | 510 |
| 24 | 48.166.46.0/23 | 48.166.46.1 to 48.166.47.254 | 48.166.47.255 | 510 |
| 25 | 48.166.48.0/23 | 48.166.48.1 to 48.166.49.254 | 48.166.49.255 | 510 |
| 26 | 48.166.50.0/23 | 48.166.50.1 to 48.166.51.254 | 48.166.51.255 | 510 |
| 27 | 48.166.52.0/23 | 48.166.52.1 to 48.166.53.254 | 48.166.53.255 | 510 |
| 28 | 48.166.54.0/23 | 48.166.54.1 to 48.166.55.254 | 48.166.55.255 | 510 |
| 29 | 48.166.56.0/23 | 48.166.56.1 to 48.166.57.254 | 48.166.57.255 | 510 |
| 30 | 48.166.58.0/23 | 48.166.58.1 to 48.166.59.254 | 48.166.59.255 | 510 |
| 31 | 48.166.60.0/23 | 48.166.60.1 to 48.166.61.254 | 48.166.61.255 | 510 |
| 32 | 48.166.62.0/23 | 48.166.62.1 to 48.166.63.254 | 48.166.63.255 | 510 |
| 33 | 48.166.64.0/23 | 48.166.64.1 to 48.166.65.254 | 48.166.65.255 | 510 |
| 34 | 48.166.66.0/23 | 48.166.66.1 to 48.166.67.254 | 48.166.67.255 | 510 |
| 35 | 48.166.68.0/23 | 48.166.68.1 to 48.166.69.254 | 48.166.69.255 | 510 |
| 36 | 48.166.70.0/23 | 48.166.70.1 to 48.166.71.254 | 48.166.71.255 | 510 |
| 37 | 48.166.72.0/23 | 48.166.72.1 to 48.166.73.254 | 48.166.73.255 | 510 |
| 38 | 48.166.74.0/23 | 48.166.74.1 to 48.166.75.254 | 48.166.75.255 | 510 |
| 39 | 48.166.76.0/23 | 48.166.76.1 to 48.166.77.254 | 48.166.77.255 | 510 |
| 40 | 48.166.78.0/23 | 48.166.78.1 to 48.166.79.254 | 48.166.79.255 | 510 |
| 41 | 48.166.80.0/23 | 48.166.80.1 to 48.166.81.254 | 48.166.81.255 | 510 |
| 42 | 48.166.82.0/23 | 48.166.82.1 to 48.166.83.254 | 48.166.83.255 | 510 |
| 43 | 48.166.84.0/23 | 48.166.84.1 to 48.166.85.254 | 48.166.85.255 | 510 |
| 44 | 48.166.86.0/23 | 48.166.86.1 to 48.166.87.254 | 48.166.87.255 | 510 |
| 45 | 48.166.88.0/23 | 48.166.88.1 to 48.166.89.254 | 48.166.89.255 | 510 |
| 46 | 48.166.90.0/23 | 48.166.90.1 to 48.166.91.254 | 48.166.91.255 | 510 |
| 47 | 48.166.92.0/23 | 48.166.92.1 to 48.166.93.254 | 48.166.93.255 | 510 |
| 48 | 48.166.94.0/23 | 48.166.94.1 to 48.166.95.254 | 48.166.95.255 | 510 |
| 49 | 48.166.96.0/23 | 48.166.96.1 to 48.166.97.254 | 48.166.97.255 | 510 |
| 50 | 48.166.98.0/23 | 48.166.98.1 to 48.166.99.254 | 48.166.99.255 | 510 |
| 51 | 48.166.100.0/23 | 48.166.100.1 to 48.166.101.254 | 48.166.101.255 | 510 |
| 52 | 48.166.102.0/23 | 48.166.102.1 to 48.166.103.254 | 48.166.103.255 | 510 |
| 53 | 48.166.104.0/23 | 48.166.104.1 to 48.166.105.254 | 48.166.105.255 | 510 |
| 54 | 48.166.106.0/23 | 48.166.106.1 to 48.166.107.254 | 48.166.107.255 | 510 |
| 55 | 48.166.108.0/23 | 48.166.108.1 to 48.166.109.254 | 48.166.109.255 | 510 |
| 56 | 48.166.110.0/23 | 48.166.110.1 to 48.166.111.254 | 48.166.111.255 | 510 |
| 57 | 48.166.112.0/23 | 48.166.112.1 to 48.166.113.254 | 48.166.113.255 | 510 |
| 58 | 48.166.114.0/23 | 48.166.114.1 to 48.166.115.254 | 48.166.115.255 | 510 |
| 59 | 48.166.116.0/23 | 48.166.116.1 to 48.166.117.254 | 48.166.117.255 | 510 |
| 60 | 48.166.118.0/23 | 48.166.118.1 to 48.166.119.254 | 48.166.119.255 | 510 |
| 61 | 48.166.120.0/23 | 48.166.120.1 to 48.166.121.254 | 48.166.121.255 | 510 |
| 62 | 48.166.122.0/23 | 48.166.122.1 to 48.166.123.254 | 48.166.123.255 | 510 |
| 63 | 48.166.124.0/23 | 48.166.124.1 to 48.166.125.254 | 48.166.125.255 | 510 |
| 64 | 48.166.126.0/23 | 48.166.126.1 to 48.166.127.254 | 48.166.127.255 | 510 |
| 65 | 48.166.128.0/23 | 48.166.128.1 to 48.166.129.254 | 48.166.129.255 | 510 |
| 66 | 48.166.130.0/23 | 48.166.130.1 to 48.166.131.254 | 48.166.131.255 | 510 |
| 67 | 48.166.132.0/23 | 48.166.132.1 to 48.166.133.254 | 48.166.133.255 | 510 |
| 68 | 48.166.134.0/23 | 48.166.134.1 to 48.166.135.254 | 48.166.135.255 | 510 |
| 69 | 48.166.136.0/23 | 48.166.136.1 to 48.166.137.254 | 48.166.137.255 | 510 |
| 70 | 48.166.138.0/23 | 48.166.138.1 to 48.166.139.254 | 48.166.139.255 | 510 |
| 71 | 48.166.140.0/23 | 48.166.140.1 to 48.166.141.254 | 48.166.141.255 | 510 |
| 72 | 48.166.142.0/23 | 48.166.142.1 to 48.166.143.254 | 48.166.143.255 | 510 |
| 73 | 48.166.144.0/23 | 48.166.144.1 to 48.166.145.254 | 48.166.145.255 | 510 |
| 74 | 48.166.146.0/23 | 48.166.146.1 to 48.166.147.254 | 48.166.147.255 | 510 |
| 75 | 48.166.148.0/23 | 48.166.148.1 to 48.166.149.254 | 48.166.149.255 | 510 |
| 76 | 48.166.150.0/23 | 48.166.150.1 to 48.166.151.254 | 48.166.151.255 | 510 |
| 77 | 48.166.152.0/23 | 48.166.152.1 to 48.166.153.254 | 48.166.153.255 | 510 |
| 78 | 48.166.154.0/23 | 48.166.154.1 to 48.166.155.254 | 48.166.155.255 | 510 |
| 79 | 48.166.156.0/23 | 48.166.156.1 to 48.166.157.254 | 48.166.157.255 | 510 |
| 80 | 48.166.158.0/23 | 48.166.158.1 to 48.166.159.254 | 48.166.159.255 | 510 |
| 81 | 48.166.160.0/23 | 48.166.160.1 to 48.166.161.254 | 48.166.161.255 | 510 |
| 82 | 48.166.162.0/23 | 48.166.162.1 to 48.166.163.254 | 48.166.163.255 | 510 |
| 83 | 48.166.164.0/23 | 48.166.164.1 to 48.166.165.254 | 48.166.165.255 | 510 |
| 84 | 48.166.166.0/23 | 48.166.166.1 to 48.166.167.254 | 48.166.167.255 | 510 |
| 85 | 48.166.168.0/23 | 48.166.168.1 to 48.166.169.254 | 48.166.169.255 | 510 |
| 86 | 48.166.170.0/23 | 48.166.170.1 to 48.166.171.254 | 48.166.171.255 | 510 |
| 87 | 48.166.172.0/23 | 48.166.172.1 to 48.166.173.254 | 48.166.173.255 | 510 |
| 88 | 48.166.174.0/23 | 48.166.174.1 to 48.166.175.254 | 48.166.175.255 | 510 |
| 89 | 48.166.176.0/23 | 48.166.176.1 to 48.166.177.254 | 48.166.177.255 | 510 |
| 90 | 48.166.178.0/23 | 48.166.178.1 to 48.166.179.254 | 48.166.179.255 | 510 |
| 91 | 48.166.180.0/23 | 48.166.180.1 to 48.166.181.254 | 48.166.181.255 | 510 |
| 92 | 48.166.182.0/23 | 48.166.182.1 to 48.166.183.254 | 48.166.183.255 | 510 |
| 93 | 48.166.184.0/23 | 48.166.184.1 to 48.166.185.254 | 48.166.185.255 | 510 |
| 94 | 48.166.186.0/23 | 48.166.186.1 to 48.166.187.254 | 48.166.187.255 | 510 |
| 95 | 48.166.188.0/23 | 48.166.188.1 to 48.166.189.254 | 48.166.189.255 | 510 |
| 96 | 48.166.190.0/23 | 48.166.190.1 to 48.166.191.254 | 48.166.191.255 | 510 |
| 97 | 48.166.192.0/23 | 48.166.192.1 to 48.166.193.254 | 48.166.193.255 | 510 |
| 98 | 48.166.194.0/23 | 48.166.194.1 to 48.166.195.254 | 48.166.195.255 | 510 |
| 99 | 48.166.196.0/23 | 48.166.196.1 to 48.166.197.254 | 48.166.197.255 | 510 |
| 100 | 48.166.198.0/23 | 48.166.198.1 to 48.166.199.254 | 48.166.199.255 | 510 |
| 101 | 48.166.200.0/23 | 48.166.200.1 to 48.166.201.254 | 48.166.201.255 | 510 |
| 102 | 48.166.202.0/23 | 48.166.202.1 to 48.166.203.254 | 48.166.203.255 | 510 |
| 103 | 48.166.204.0/23 | 48.166.204.1 to 48.166.205.254 | 48.166.205.255 | 510 |
| 104 | 48.166.206.0/23 | 48.166.206.1 to 48.166.207.254 | 48.166.207.255 | 510 |
| 105 | 48.166.208.0/23 | 48.166.208.1 to 48.166.209.254 | 48.166.209.255 | 510 |
| 106 | 48.166.210.0/23 | 48.166.210.1 to 48.166.211.254 | 48.166.211.255 | 510 |
| 107 | 48.166.212.0/23 | 48.166.212.1 to 48.166.213.254 | 48.166.213.255 | 510 |
| 108 | 48.166.214.0/23 | 48.166.214.1 to 48.166.215.254 | 48.166.215.255 | 510 |
| 109 | 48.166.216.0/23 | 48.166.216.1 to 48.166.217.254 | 48.166.217.255 | 510 |
| 110 | 48.166.218.0/23 | 48.166.218.1 to 48.166.219.254 | 48.166.219.255 | 510 |
| 111 | 48.166.220.0/23 | 48.166.220.1 to 48.166.221.254 | 48.166.221.255 | 510 |
| 112 | 48.166.222.0/23 | 48.166.222.1 to 48.166.223.254 | 48.166.223.255 | 510 |
| 113 | 48.166.224.0/23 | 48.166.224.1 to 48.166.225.254 | 48.166.225.255 | 510 |
| 114 | 48.166.226.0/23 | 48.166.226.1 to 48.166.227.254 | 48.166.227.255 | 510 |
| 115 | 48.166.228.0/23 | 48.166.228.1 to 48.166.229.254 | 48.166.229.255 | 510 |
| 116 | 48.166.230.0/23 | 48.166.230.1 to 48.166.231.254 | 48.166.231.255 | 510 |
| 117 | 48.166.232.0/23 | 48.166.232.1 to 48.166.233.254 | 48.166.233.255 | 510 |
| 118 | 48.166.234.0/23 | 48.166.234.1 to 48.166.235.254 | 48.166.235.255 | 510 |
| 119 | 48.166.236.0/23 | 48.166.236.1 to 48.166.237.254 | 48.166.237.255 | 510 |
| 120 | 48.166.238.0/23 | 48.166.238.1 to 48.166.239.254 | 48.166.239.255 | 510 |
| 121 | 48.166.240.0/23 | 48.166.240.1 to 48.166.241.254 | 48.166.241.255 | 510 |
| 122 | 48.166.242.0/23 | 48.166.242.1 to 48.166.243.254 | 48.166.243.255 | 510 |
| 123 | 48.166.244.0/23 | 48.166.244.1 to 48.166.245.254 | 48.166.245.255 | 510 |
| 124 | 48.166.246.0/23 | 48.166.246.1 to 48.166.247.254 | 48.166.247.255 | 510 |
| 125 | 48.166.248.0/23 | 48.166.248.1 to 48.166.249.254 | 48.166.249.255 | 510 |
| 126 | 48.166.250.0/23 | 48.166.250.1 to 48.166.251.254 | 48.166.251.255 | 510 |
| 127 | 48.166.252.0/23 | 48.166.252.1 to 48.166.253.254 | 48.166.253.255 | 510 |
| 128 | 48.166.254.0/23 | 48.166.254.1 to 48.166.255.254 | 48.166.255.255 | 510 |
| 129 | 48.167.0.0/23 | 48.167.0.1 to 48.167.1.254 | 48.167.1.255 | 510 |
| 130 | 48.167.2.0/23 | 48.167.2.1 to 48.167.3.254 | 48.167.3.255 | 510 |
| 131 | 48.167.4.0/23 | 48.167.4.1 to 48.167.5.254 | 48.167.5.255 | 510 |
| 132 | 48.167.6.0/23 | 48.167.6.1 to 48.167.7.254 | 48.167.7.255 | 510 |
| 133 | 48.167.8.0/23 | 48.167.8.1 to 48.167.9.254 | 48.167.9.255 | 510 |
| 134 | 48.167.10.0/23 | 48.167.10.1 to 48.167.11.254 | 48.167.11.255 | 510 |
| 135 | 48.167.12.0/23 | 48.167.12.1 to 48.167.13.254 | 48.167.13.255 | 510 |
| 136 | 48.167.14.0/23 | 48.167.14.1 to 48.167.15.254 | 48.167.15.255 | 510 |
| 137 | 48.167.16.0/23 | 48.167.16.1 to 48.167.17.254 | 48.167.17.255 | 510 |
| 138 | 48.167.18.0/23 | 48.167.18.1 to 48.167.19.254 | 48.167.19.255 | 510 |
| 139 | 48.167.20.0/23 | 48.167.20.1 to 48.167.21.254 | 48.167.21.255 | 510 |
| 140 | 48.167.22.0/23 | 48.167.22.1 to 48.167.23.254 | 48.167.23.255 | 510 |
| 141 | 48.167.24.0/23 | 48.167.24.1 to 48.167.25.254 | 48.167.25.255 | 510 |
| 142 | 48.167.26.0/23 | 48.167.26.1 to 48.167.27.254 | 48.167.27.255 | 510 |
| 143 | 48.167.28.0/23 | 48.167.28.1 to 48.167.29.254 | 48.167.29.255 | 510 |
| 144 | 48.167.30.0/23 | 48.167.30.1 to 48.167.31.254 | 48.167.31.255 | 510 |
| 145 | 48.167.32.0/23 | 48.167.32.1 to 48.167.33.254 | 48.167.33.255 | 510 |
| 146 | 48.167.34.0/23 | 48.167.34.1 to 48.167.35.254 | 48.167.35.255 | 510 |
| 147 | 48.167.36.0/23 | 48.167.36.1 to 48.167.37.254 | 48.167.37.255 | 510 |
| 148 | 48.167.38.0/23 | 48.167.38.1 to 48.167.39.254 | 48.167.39.255 | 510 |
| 149 | 48.167.40.0/23 | 48.167.40.1 to 48.167.41.254 | 48.167.41.255 | 510 |
| 150 | 48.167.42.0/23 | 48.167.42.1 to 48.167.43.254 | 48.167.43.255 | 510 |
| 151 | 48.167.44.0/23 | 48.167.44.1 to 48.167.45.254 | 48.167.45.255 | 510 |
| 152 | 48.167.46.0/23 | 48.167.46.1 to 48.167.47.254 | 48.167.47.255 | 510 |
| 153 | 48.167.48.0/23 | 48.167.48.1 to 48.167.49.254 | 48.167.49.255 | 510 |
| 154 | 48.167.50.0/23 | 48.167.50.1 to 48.167.51.254 | 48.167.51.255 | 510 |
| 155 | 48.167.52.0/23 | 48.167.52.1 to 48.167.53.254 | 48.167.53.255 | 510 |
| 156 | 48.167.54.0/23 | 48.167.54.1 to 48.167.55.254 | 48.167.55.255 | 510 |
| 157 | 48.167.56.0/23 | 48.167.56.1 to 48.167.57.254 | 48.167.57.255 | 510 |
| 158 | 48.167.58.0/23 | 48.167.58.1 to 48.167.59.254 | 48.167.59.255 | 510 |
| 159 | 48.167.60.0/23 | 48.167.60.1 to 48.167.61.254 | 48.167.61.255 | 510 |
| 160 | 48.167.62.0/23 | 48.167.62.1 to 48.167.63.254 | 48.167.63.255 | 510 |
| 161 | 48.167.64.0/23 | 48.167.64.1 to 48.167.65.254 | 48.167.65.255 | 510 |
| 162 | 48.167.66.0/23 | 48.167.66.1 to 48.167.67.254 | 48.167.67.255 | 510 |
| 163 | 48.167.68.0/23 | 48.167.68.1 to 48.167.69.254 | 48.167.69.255 | 510 |
| 164 | 48.167.70.0/23 | 48.167.70.1 to 48.167.71.254 | 48.167.71.255 | 510 |
| 165 | 48.167.72.0/23 | 48.167.72.1 to 48.167.73.254 | 48.167.73.255 | 510 |
| 166 | 48.167.74.0/23 | 48.167.74.1 to 48.167.75.254 | 48.167.75.255 | 510 |
| 167 | 48.167.76.0/23 | 48.167.76.1 to 48.167.77.254 | 48.167.77.255 | 510 |
| 168 | 48.167.78.0/23 | 48.167.78.1 to 48.167.79.254 | 48.167.79.255 | 510 |
| 169 | 48.167.80.0/23 | 48.167.80.1 to 48.167.81.254 | 48.167.81.255 | 510 |
| 170 | 48.167.82.0/23 | 48.167.82.1 to 48.167.83.254 | 48.167.83.255 | 510 |
| 171 | 48.167.84.0/23 | 48.167.84.1 to 48.167.85.254 | 48.167.85.255 | 510 |
| 172 | 48.167.86.0/23 | 48.167.86.1 to 48.167.87.254 | 48.167.87.255 | 510 |
| 173 | 48.167.88.0/23 | 48.167.88.1 to 48.167.89.254 | 48.167.89.255 | 510 |
| 174 | 48.167.90.0/23 | 48.167.90.1 to 48.167.91.254 | 48.167.91.255 | 510 |
| 175 | 48.167.92.0/23 | 48.167.92.1 to 48.167.93.254 | 48.167.93.255 | 510 |
| 176 | 48.167.94.0/23 | 48.167.94.1 to 48.167.95.254 | 48.167.95.255 | 510 |
| 177 | 48.167.96.0/23 | 48.167.96.1 to 48.167.97.254 | 48.167.97.255 | 510 |
| 178 | 48.167.98.0/23 | 48.167.98.1 to 48.167.99.254 | 48.167.99.255 | 510 |
| 179 | 48.167.100.0/23 | 48.167.100.1 to 48.167.101.254 | 48.167.101.255 | 510 |
| 180 | 48.167.102.0/23 | 48.167.102.1 to 48.167.103.254 | 48.167.103.255 | 510 |
| 181 | 48.167.104.0/23 | 48.167.104.1 to 48.167.105.254 | 48.167.105.255 | 510 |
| 182 | 48.167.106.0/23 | 48.167.106.1 to 48.167.107.254 | 48.167.107.255 | 510 |
| 183 | 48.167.108.0/23 | 48.167.108.1 to 48.167.109.254 | 48.167.109.255 | 510 |
| 184 | 48.167.110.0/23 | 48.167.110.1 to 48.167.111.254 | 48.167.111.255 | 510 |
| 185 | 48.167.112.0/23 | 48.167.112.1 to 48.167.113.254 | 48.167.113.255 | 510 |
| 186 | 48.167.114.0/23 | 48.167.114.1 to 48.167.115.254 | 48.167.115.255 | 510 |
| 187 | 48.167.116.0/23 | 48.167.116.1 to 48.167.117.254 | 48.167.117.255 | 510 |
| 188 | 48.167.118.0/23 | 48.167.118.1 to 48.167.119.254 | 48.167.119.255 | 510 |
| 189 | 48.167.120.0/23 | 48.167.120.1 to 48.167.121.254 | 48.167.121.255 | 510 |
| 190 | 48.167.122.0/23 | 48.167.122.1 to 48.167.123.254 | 48.167.123.255 | 510 |
| 191 | 48.167.124.0/23 | 48.167.124.1 to 48.167.125.254 | 48.167.125.255 | 510 |
| 192 | 48.167.126.0/23 | 48.167.126.1 to 48.167.127.254 | 48.167.127.255 | 510 |
| 193 | 48.167.128.0/23 | 48.167.128.1 to 48.167.129.254 | 48.167.129.255 | 510 |
| 194 | 48.167.130.0/23 | 48.167.130.1 to 48.167.131.254 | 48.167.131.255 | 510 |
| 195 | 48.167.132.0/23 | 48.167.132.1 to 48.167.133.254 | 48.167.133.255 | 510 |
| 196 | 48.167.134.0/23 | 48.167.134.1 to 48.167.135.254 | 48.167.135.255 | 510 |
| 197 | 48.167.136.0/23 | 48.167.136.1 to 48.167.137.254 | 48.167.137.255 | 510 |
| 198 | 48.167.138.0/23 | 48.167.138.1 to 48.167.139.254 | 48.167.139.255 | 510 |
| 199 | 48.167.140.0/23 | 48.167.140.1 to 48.167.141.254 | 48.167.141.255 | 510 |
| 200 | 48.167.142.0/23 | 48.167.142.1 to 48.167.143.254 | 48.167.143.255 | 510 |
| 201 | 48.167.144.0/23 | 48.167.144.1 to 48.167.145.254 | 48.167.145.255 | 510 |
| 202 | 48.167.146.0/23 | 48.167.146.1 to 48.167.147.254 | 48.167.147.255 | 510 |
| 203 | 48.167.148.0/23 | 48.167.148.1 to 48.167.149.254 | 48.167.149.255 | 510 |
| 204 | 48.167.150.0/23 | 48.167.150.1 to 48.167.151.254 | 48.167.151.255 | 510 |
| 205 | 48.167.152.0/23 | 48.167.152.1 to 48.167.153.254 | 48.167.153.255 | 510 |
| 206 | 48.167.154.0/23 | 48.167.154.1 to 48.167.155.254 | 48.167.155.255 | 510 |
| 207 | 48.167.156.0/23 | 48.167.156.1 to 48.167.157.254 | 48.167.157.255 | 510 |
| 208 | 48.167.158.0/23 | 48.167.158.1 to 48.167.159.254 | 48.167.159.255 | 510 |
| 209 | 48.167.160.0/23 | 48.167.160.1 to 48.167.161.254 | 48.167.161.255 | 510 |
| 210 | 48.167.162.0/23 | 48.167.162.1 to 48.167.163.254 | 48.167.163.255 | 510 |
| 211 | 48.167.164.0/23 | 48.167.164.1 to 48.167.165.254 | 48.167.165.255 | 510 |
| 212 | 48.167.166.0/23 | 48.167.166.1 to 48.167.167.254 | 48.167.167.255 | 510 |
| 213 | 48.167.168.0/23 | 48.167.168.1 to 48.167.169.254 | 48.167.169.255 | 510 |
| 214 | 48.167.170.0/23 | 48.167.170.1 to 48.167.171.254 | 48.167.171.255 | 510 |
| 215 | 48.167.172.0/23 | 48.167.172.1 to 48.167.173.254 | 48.167.173.255 | 510 |
| 216 | 48.167.174.0/23 | 48.167.174.1 to 48.167.175.254 | 48.167.175.255 | 510 |
| 217 | 48.167.176.0/23 | 48.167.176.1 to 48.167.177.254 | 48.167.177.255 | 510 |
| 218 | 48.167.178.0/23 | 48.167.178.1 to 48.167.179.254 | 48.167.179.255 | 510 |
| 219 | 48.167.180.0/23 | 48.167.180.1 to 48.167.181.254 | 48.167.181.255 | 510 |
| 220 | 48.167.182.0/23 | 48.167.182.1 to 48.167.183.254 | 48.167.183.255 | 510 |
| 221 | 48.167.184.0/23 | 48.167.184.1 to 48.167.185.254 | 48.167.185.255 | 510 |
| 222 | 48.167.186.0/23 | 48.167.186.1 to 48.167.187.254 | 48.167.187.255 | 510 |
| 223 | 48.167.188.0/23 | 48.167.188.1 to 48.167.189.254 | 48.167.189.255 | 510 |
| 224 | 48.167.190.0/23 | 48.167.190.1 to 48.167.191.254 | 48.167.191.255 | 510 |
| 225 | 48.167.192.0/23 | 48.167.192.1 to 48.167.193.254 | 48.167.193.255 | 510 |
| 226 | 48.167.194.0/23 | 48.167.194.1 to 48.167.195.254 | 48.167.195.255 | 510 |
| 227 | 48.167.196.0/23 | 48.167.196.1 to 48.167.197.254 | 48.167.197.255 | 510 |
| 228 | 48.167.198.0/23 | 48.167.198.1 to 48.167.199.254 | 48.167.199.255 | 510 |
| 229 | 48.167.200.0/23 | 48.167.200.1 to 48.167.201.254 | 48.167.201.255 | 510 |
| 230 | 48.167.202.0/23 | 48.167.202.1 to 48.167.203.254 | 48.167.203.255 | 510 |
| 231 | 48.167.204.0/23 | 48.167.204.1 to 48.167.205.254 | 48.167.205.255 | 510 |
| 232 | 48.167.206.0/23 | 48.167.206.1 to 48.167.207.254 | 48.167.207.255 | 510 |
| 233 | 48.167.208.0/23 | 48.167.208.1 to 48.167.209.254 | 48.167.209.255 | 510 |
| 234 | 48.167.210.0/23 | 48.167.210.1 to 48.167.211.254 | 48.167.211.255 | 510 |
| 235 | 48.167.212.0/23 | 48.167.212.1 to 48.167.213.254 | 48.167.213.255 | 510 |
| 236 | 48.167.214.0/23 | 48.167.214.1 to 48.167.215.254 | 48.167.215.255 | 510 |
| 237 | 48.167.216.0/23 | 48.167.216.1 to 48.167.217.254 | 48.167.217.255 | 510 |
| 238 | 48.167.218.0/23 | 48.167.218.1 to 48.167.219.254 | 48.167.219.255 | 510 |
| 239 | 48.167.220.0/23 | 48.167.220.1 to 48.167.221.254 | 48.167.221.255 | 510 |
| 240 | 48.167.222.0/23 | 48.167.222.1 to 48.167.223.254 | 48.167.223.255 | 510 |
| 241 | 48.167.224.0/23 | 48.167.224.1 to 48.167.225.254 | 48.167.225.255 | 510 |
| 242 | 48.167.226.0/23 | 48.167.226.1 to 48.167.227.254 | 48.167.227.255 | 510 |
| 243 | 48.167.228.0/23 | 48.167.228.1 to 48.167.229.254 | 48.167.229.255 | 510 |
| 244 | 48.167.230.0/23 | 48.167.230.1 to 48.167.231.254 | 48.167.231.255 | 510 |
| 245 | 48.167.232.0/23 | 48.167.232.1 to 48.167.233.254 | 48.167.233.255 | 510 |
| 246 | 48.167.234.0/23 | 48.167.234.1 to 48.167.235.254 | 48.167.235.255 | 510 |
| 247 | 48.167.236.0/23 | 48.167.236.1 to 48.167.237.254 | 48.167.237.255 | 510 |
| 248 | 48.167.238.0/23 | 48.167.238.1 to 48.167.239.254 | 48.167.239.255 | 510 |
| 249 | 48.167.240.0/23 | 48.167.240.1 to 48.167.241.254 | 48.167.241.255 | 510 |
| 250 | 48.167.242.0/23 | 48.167.242.1 to 48.167.243.254 | 48.167.243.255 | 510 |
| 251 | 48.167.244.0/23 | 48.167.244.1 to 48.167.245.254 | 48.167.245.255 | 510 |
| 252 | 48.167.246.0/23 | 48.167.246.1 to 48.167.247.254 | 48.167.247.255 | 510 |
| 253 | 48.167.248.0/23 | 48.167.248.1 to 48.167.249.254 | 48.167.249.255 | 510 |
| 254 | 48.167.250.0/23 | 48.167.250.1 to 48.167.251.254 | 48.167.251.255 | 510 |
| 255 | 48.167.252.0/23 | 48.167.252.1 to 48.167.253.254 | 48.167.253.255 | 510 |
| 256 | 48.167.254.0/23 | 48.167.254.1 to 48.167.255.254 | 48.167.255.255 | 510 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |